#!/opt/anaconda1anaconda2anaconda3/bin/perl 

eval 'exec /opt/anaconda1anaconda2anaconda3/bin/perl  -S $0 ${1+"$@"}'
    if 0; # not running under some shell

use strict;
use warnings;

use FindBin;

use Fasta_reader;
use Nuc_translator;

my $usage = "\n\nusage: $0 transcripts.fa\n\n";

my $transcripts_file = $ARGV[0] or die $usage;


main: {

    my $fasta_reader = new Fasta_reader($transcripts_file);

    while (my $seq_obj = $fasta_reader->next()) {
        
        my $acc = $seq_obj->get_accession();
        
        my $seq = $seq_obj->get_sequence();

        print ">$acc\n$seq\n";

        my $revc_seq = &reverse_complement($seq);

        print ">$acc-ANTI\n$revc_seq\n";
        
    }
    

    exit(0);

}
